#!/bin/sh

#cd /usr/lib/postmark
POSTMARK=/usr/bin/postmark

echo "postmark will measure your filesystem, you have the following partitions on your computer"
fdisk -l | tee /tmp/fdiskl
echo -e "Enter a free or unused partition with no important data on it for the test. E.g.: /dev/sda6:\n"
read partition

if [ -e /dev/$partition ] ; then 
	partition="/dev/$partition"
fi
if [ -e $partition  ] ; then 
	echo "You have chosen $partition"
else 
	echo "$partition doesn't seem to be a valid patition" 
	exit
fi

echo "During the test, this partition $partition will be unmounted and mounted several times. Enter where you want to do it [default: /mnt]:"
read location
if [ "$location" = "" ]; then location="/mnt" ; fi

echo "Enter transactions [default: 50000]: "
read transactions
if [ "$transactions" = "" ]; then transactions=50000 ; fi

echo "Enter number of initial files [default: 20000]: "
read numbers
if [ "$numbers" = "" ]; then numbers=20000 ; fi

echo "set location $location
set numbers $numbers
set transactions $transactions
run
quit" > config 

echo -e "\nNow the test will start.\n"

umount $partition ; mkfs.xfs -f $partition && mount $partition $location && time $POSTMARK < config ; sleep 2 ; 
umount $partition ; mkfs.jfs -f $partition && mount $partition $location && time $POSTMARK < config ; sleep 2 ; 
umount $partition ; mkfs.ext2 $partition   && mount $partition $location && time $POSTMARK < config ; sleep 2 ; 
umount $partition ; mkfs.ext3 $partition   && mount $partition $location && time $POSTMARK < config ; sleep 2 ; 
umount $partition ; mkreiserfs $partition  && mount $partition $location && time $POSTMARK < config ; sleep 2

echo -e "Test has finished. Bye."

